summaryrefslogtreecommitdiffstats
path: root/source/ap/neofetch
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2020-06-22 20:20:12 +0000
committer Eric Hameleers <alien@slackware.com>2020-06-23 08:59:52 +0200
commit2aa503fdd89a4da52594f83d4f7c11c737bdd3b1 (patch)
treea9e05a6eb2dd5cc0e66d2776f26c0423ce971bac /source/ap/neofetch
parentb25c84154fbea96dc71b06605c8447a47342bedb (diff)
downloadcurrent-2aa503fdd89a4da52594f83d4f7c11c737bdd3b1.tar.gz
current-2aa503fdd89a4da52594f83d4f7c11c737bdd3b1.tar.xz
Mon Jun 22 20:20:12 UTC 202020200622202012
a/kernel-generic-5.4.48-x86_64-1.txz: Upgraded. a/kernel-huge-5.4.48-x86_64-1.txz: Upgraded. a/kernel-modules-5.4.48-x86_64-1.txz: Upgraded. ap/neofetch-20200613_5b8eea9-x86_64-1.txz: Added. All the cool kids are including this. ;-) ap/texinfo-6.7-x86_64-2.txz: Rebuilt. Recompiled against perl-5.32.0. ap/vim-8.2.1039-x86_64-1.txz: Upgraded. Compiled against perl-5.32.0. d/check-0.15.0-x86_64-1.txz: Upgraded. d/guile-3.0.3-x86_64-1.txz: Upgraded. Shared library .so-version bump. d/kernel-headers-5.4.48-x86-1.txz: Upgraded. d/make-4.2.1-x86_64-6.txz: Rebuilt. Recompiled against guile-3.0.3. d/perl-5.32.0-x86_64-1.txz: Upgraded. k/kernel-source-5.4.48-noarch-1.txz: Upgraded. kde/perlkde-4.14.3-x86_64-9.txz: Rebuilt. Recompiled against perl-5.32.0. kde/perlqt-4.14.3-x86_64-10.txz: Rebuilt. Recompiled against perl-5.32.0. l/harfbuzz-2.6.8-x86_64-1.txz: Upgraded. l/imagemagick-7.0.10_20-x86_64-1.txz: Upgraded. l/neon-0.31.2-x86_64-1.txz: Upgraded. l/python-certifi-2020.6.20-x86_64-1.txz: Upgraded. n/alpine-2.23-x86_64-1.txz: Upgraded. n/epic5-2.1.2-x86_64-2.txz: Rebuilt. Recompiled against perl-5.32.0. n/gnutls-3.6.14-x86_64-2.txz: Rebuilt. Recompiled against guile-3.0.3. n/irssi-1.2.2-x86_64-3.txz: Rebuilt. Recompiled against perl-5.32.0. n/libqmi-1.26.0-x86_64-1.txz: Upgraded. n/net-snmp-5.8-x86_64-6.txz: Rebuilt. Recompiled against perl-5.32.0. n/ntp-4.2.8p14-x86_64-2.txz: Rebuilt. Recompiled against perl-5.32.0. xap/hexchat-2.14.3-x86_64-3.txz: Rebuilt. Recompiled against perl-5.32.0. xap/rxvt-unicode-9.22-x86_64-8.txz: Rebuilt. Recompiled against perl-5.32.0. xap/vim-gvim-8.2.1039-x86_64-1.txz: Upgraded. Compiled against perl-5.32.0. isolinux/initrd.img: Rebuilt. kernels/*: Upgraded. usb-and-pxe-installers/usbboot.img: Rebuilt.
Diffstat (limited to 'source/ap/neofetch')
-rwxr-xr-xsource/ap/neofetch/fetch-neofetch.sh49
-rwxr-xr-xsource/ap/neofetch/neofetch.SlackBuild109
-rw-r--r--source/ap/neofetch/slack-desc19
3 files changed, 177 insertions, 0 deletions
diff --git a/source/ap/neofetch/fetch-neofetch.sh b/source/ap/neofetch/fetch-neofetch.sh
new file mode 100755
index 000000000..171620b79
--- /dev/null
+++ b/source/ap/neofetch/fetch-neofetch.sh
@@ -0,0 +1,49 @@
+#!/bin/sh
+
+# Copyright 2019, 2020 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Pull a stable branch + patches
+BRANCH=${1:-master}
+
+# Clear download area:
+rm -rf neofetch
+
+# Clone repository:
+git clone https://github.com/dylanaraps/neofetch
+
+# checkout $BRANCH:
+( cd neofetch
+ git checkout $BRANCH || exit 1
+)
+
+HEADISAT="$( cd neofetch && git log -1 --format=%h )"
+DATE="$( cd neofetch && git log -1 --format=%ad --date=format:%Y%m%d )"
+LONGDATE="$( cd neofetch && git log -1 --date=format:%c | grep Date: | cut -f 2- -d : )"
+# Cleanup. We're not packing up the whole git repo.
+( cd neofetch && find . -type d -name ".git*" -exec rm -rf {} \; 2> /dev/null )
+mv neofetch neofetch-${DATE}_${HEADISAT}
+tar cf neofetch-${DATE}_${HEADISAT}.tar neofetch-${DATE}_${HEADISAT}
+xz -9 -f neofetch-${DATE}_${HEADISAT}.tar
+rm -rf neofetch-${DATE}_${HEADISAT}
+touch -d "$LONGDATE" neofetch-${DATE}_${HEADISAT}.tar.xz
+echo
+echo "neofetch branch $BRANCH with HEAD at $HEADISAT packaged as neofetch-${DATE}_${HEADISAT}.tar.xz"
+echo
diff --git a/source/ap/neofetch/neofetch.SlackBuild b/source/ap/neofetch/neofetch.SlackBuild
new file mode 100755
index 000000000..47d24064c
--- /dev/null
+++ b/source/ap/neofetch/neofetch.SlackBuild
@@ -0,0 +1,109 @@
+#!/bin/bash
+
+# Copyright 2020 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=neofetch
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i586 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
+NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
+
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-${PKGNAM}
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+cd $TMP
+rm -rf ${PKGNAM}-${VERSION}
+tar xvf $CWD/${PKGNAM}-$VERSION.tar.?z || exit 1
+cd ${PKGNAM}-$VERSION || exit 1
+
+# Make sure ownerships and permissions are sane:
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \+ -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \+
+
+PREFIX=/usr MANDIR=/usr/man DESTDIR=$PKG make install || exit 1
+
+# Compress and link manpages, if any:
+if [ -d $PKG/usr/man ]; then
+ ( cd $PKG/usr/man
+ for manpagedir in $(find . -type d -name "man*") ; do
+ ( cd $manpagedir
+ for eachpage in $( find . -type l -maxdepth 1) ; do
+ ln -s $( readlink $eachpage ).gz $eachpage.gz
+ rm $eachpage
+ done
+ gzip -9 *.?
+ )
+ done
+ )
+fi
+
+# Add some docs:
+mkdir -p $PKG/usr/doc/${PKGNAM}-$VERSION
+cp -a \
+ CONTRIBUTING* LICENSE* README* \
+ $PKG/usr/doc/${PKGNAM}-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/${PKGNAM}-$VERSION-$ARCH-$BUILD.txz
+
diff --git a/source/ap/neofetch/slack-desc b/source/ap/neofetch/slack-desc
new file mode 100644
index 000000000..28bc4e8d5
--- /dev/null
+++ b/source/ap/neofetch/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+neofetch: neofetch (system information tool)
+neofetch:
+neofetch: Neofetch is a command-line system information tool written in bash
+neofetch: 3.2+. Neofetch displays information about your operating system,
+neofetch: software and hardware in an aesthetic and visually pleasing way. The
+neofetch: overall purpose of Neofetch is to be used in screenshots of your
+neofetch: system. Neofetch shows the information other people want to see. There
+neofetch: are other tools available for proper system statistic/diagnostics.
+neofetch:
+neofetch: Homepage: https://github.com/dylanaraps/neofetch/wiki
+neofetch: